# $Revision: 1.9 $, $Date: 2012/04/01 14:51:57 $
%define 	modulename pam_abl
Summary:	PAM abl module
Summary(pl.UTF-8):	Moduł PAM automatycznie dopisujący do blacklisty
Name:		pam-%{modulename}
Version:	0.4.3
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/pam-abl/pam-abl-%{version}.tar.bz2
# Source0-md5:	62008b6eb8aa2c93bdb53c4f848bfb93
Patch0:		%{name}-conf.patch
URL:		http://pam-abl.deksai.com/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	pam-devel
Obsoletes:	pam_abl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM module which provides auto blacklisting of hosts and users
responsible for repeated failed authentication attempts.

%description -l pl.UTF-8
Moduł PAM automatycznie dopisujący do blacklisty hosty i użytkowników
po wykryciu powtarzających się błędów uwierzytelnienia.

%prep
%setup -q -n pam-abl-%{version}
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-pam-dir=/%{_lib}/security
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/security,%{_sbindir},/var/lib/abl}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install conf/pam_abl.conf $RPM_BUILD_ROOT/etc/security

%{__mv} $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/pam_abl

# packaged in %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/pam-abl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS conf/system-auth
%attr(755,root,root) /%{_lib}/security/pam_abl.so
%attr(755,root,root) %{_sbindir}/pam_abl
%config(noreplace) %verify(not md5 mtime size) /etc/security/pam_abl.conf
%attr(700,root,root) %dir /var/lib/abl
%{_mandir}/man1/pam_abl.1*
%{_mandir}/man5/pam_abl.conf.5*
%{_mandir}/man8/pam_abl.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_abl.spec,v $
Revision 1.9  2012/04/01 14:51:57  megabajt
- updated to 0.4.3

Revision 1.8  2009/07/15 15:02:33  baggins
- 0.3.0
- new maintainer

Revision 1.7  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.5  2006/04/01 21:04:08  qboosh
- pl fix

Revision 1.4  2006/03/30 11:24:14  spider
- agrr, typo fix

Revision 1.3  2006/03/30 11:23:14  spider
- adapter

Revision 1.2  2006/03/30 11:16:35  spider
- added log section
